

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

# AppserverClient Command Line Interface

## iscanaction

checks whether an action command is available.

**Category: UI**


```
AppServerClientCLI iscanaction -type type [-id ras:3]
```
* **` type (mandatory) `** Specify the action to check.
* **` id (optional) `** Specify the connection for which the action is to be checked. This depends on the type. See Notes for further information.
## Return codes:
  Enable
  Disable
  Remove
  NotAvailable
  InvalidId
  InvalidArgs
  InvalidState
  Exception
## Examples:
  AppServerClientCLI iscanaction -type import-settings
  AppServerClientCLI iscanaction -type change-password -id ras:61
## Notes:
  The following are the types available. Note that some require the ID to be passed:
   import-settings
   export-settings
   change-password -id ras:61 (ras connections only)
   disconnectallras
   disconnectallrdp
   logoffallras
   logoffras -id ras:61 (ras connections only)
   logonras -id ras:61 (ras connections only)
   disconnectras -id ras:61 (ras connections only)
   connectrdp -id rdp:22 (rdp connections only)
   disconnectrdp -id rdp:22 (rdp connections only)
   addconnection
   addrasconnection
   addrdpconnection
   deleteconnection -id rdp:22 (ras & rdp connections)
   setsmartsizing -id rdp:22 (rdp connections only)
   createshortcutsfavorites -id ras:61 (ras connections only)
   connectionproperties
   options
## See also:
[showwnd](showwnd.md)
